com.rs.xbrl.instructions

## Class QNameOrExpression

- java.lang.Object
- - com.rs.xbrl.instructions.QNameOrExpression

-     public class QNameOrExpression
      extends java.lang.Object

  The Class QNameOrExpression.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QNameOrExpression.Type` The Enum Type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QNameOrExpression(javax.xml.namespace.QName value)` Instantiates a new q name or expression.
    `QNameOrExpression(java.lang.String value)` Instantiates a new q name or expression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArcrole()` Gets the arcrole.
    `java.lang.String` | `getExpression()` Gets the expression.
    `java.lang.String` | `getLinkRole()` Gets the link role.
    `javax.xml.namespace.QName` | `getQName()` Gets the q name.
    `java.lang.String` | `getToken()` Gets the token.
    `QNameOrExpression.Type` | `getType()` Gets the type.
    `void` | `setArcrole(java.lang.String arcrole)` Sets the arcrole.
    `void` | `setLinkRole(java.lang.String linkRole)` Sets the link role.
    `void` | `setMember()` Sets the member.
    `void` | `setToken(java.lang.String token)` Sets the token.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QNameOrExpression

          public QNameOrExpression(javax.xml.namespace.QName value)

      Instantiates a new q name or expression.
      Parameters:
        `value` - the value

    - #### QNameOrExpression

          public QNameOrExpression(java.lang.String value)

      Instantiates a new q name or expression.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### getType

          public QNameOrExpression.Type getType()

      Gets the type.
      Returns:
        the type

    - #### getExpression

          public java.lang.String getExpression()

      Gets the expression.
      Returns:
        the expression

    - #### getQName

          public javax.xml.namespace.QName getQName()

      Gets the q name.
      Returns:
        the qname

    - #### getLinkRole

          public java.lang.String getLinkRole()

      Gets the link role.
      Returns:
        the linkRole

    - #### getArcrole

          public java.lang.String getArcrole()

      Gets the arcrole.
      Returns:
        the arcrole

    - #### getToken

          public java.lang.String getToken()

      Gets the token.
      Returns:
        the token

    - #### setLinkRole

          public void setLinkRole(java.lang.String linkRole)

      Sets the link role.
      Parameters:
        `linkRole` - the linkRole to set

    - #### setArcrole

          public void setArcrole(java.lang.String arcrole)

      Sets the arcrole.
      Parameters:
        `arcrole` - the arcrole to set

    - #### setToken

          public void setToken(java.lang.String token)

      Sets the token.
      Parameters:
        `token` - the token to set

    - #### setMember

          public void setMember()

      Sets the member.